org.apache.felix.ipojo.manipulation

## Class ManipulationProperty.Logger

- java.lang.Object
- - org.apache.felix.ipojo.manipulation.ManipulationProperty.Logger

Enclosing class:
  ManipulationProperty

    protected static class ManipulationProperty.Logger
    extends Object

Internal logger implementation.

### Constructor Summary

Constructors
`protected` `Logger()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `log(int level, String message)` Log method.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Logger

    protected Logger()

### Method Detail

#### log

    public void log(int level,
                    String message)

Log method.

Parameters:
  `level` - : level
  `message` - : message to log